submission.pdf: submission.tex background.tex replication.tex cholesky.tex introduction.tex conclusion.tex
	latexpand submission.tex > submission_whole.tex
	#latexdiff --math-markup="off" --type=CCHANGEBAR submission_alfredo.tex submission_whole.tex > submission_diff.tex
	latexdiff submission_alfredo.tex submission_whole.tex > submission_diff.tex
	latexmk -xelatex -pdf submission.tex
	rm *.cb
	rm *.cb2
	rm *.bbl*
	# submission_diff is a little messy to compile somehow
	latexmk -xelatex -pdf -interaction=batchmode submission_diff.tex

clean:
	latexmk -c

all: clean submission.pdf
